Bug 1512557 - petsc package does not contain .mod files for fortran
Summary: petsc package does not contain .mod files for fortran
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: petsc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 14:11 UTC by Fujisan
Modified: 2017-12-02 23:51 UTC (History)
1 user (show)

Fixed In Version: petsc-3.8.1-1.fc26 petsc-3.8.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-02 21:22:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Fujisan 2017-11-13 14:11:13 UTC
Description of problem:
When compiling a fortran code that uses the petsc library, it crashes because the .mod files are missing in the rpm packages.

Version-Release number of selected component (if applicable):
3.8.0

How reproducible:
Always.


rpm -qa|grep petsc
petsc-3.8.0-1.fc26.x86_64
petsc-mpich-3.8.0-1.fc26.x86_64
petsc-devel-3.8.0-1.fc26.x86_64

Source example from:
http://www.mcs.anl.gov/petsc/petsc-current/src/vec/vec/examples/tutorials/ex20f90.F90

/usr/lib64/mpich/bin/mpif90 -o xxx ex20f90.F90 -L /usr/lib64/mpich/lib/ -lmpi -lmpifort -lpetsc -I /usr/include/petsc -I /usr/include/petsc/petsc/mpiuni/
ex20f90.F90:21:10:

       use petscvec
          1
Fatal Error: Can't open module file ‘petscvec.mod’ for reading at (1): No such file or directory
compilation terminated.

Comment 1 Antonio T. (sagitter) 2017-11-13 18:59:34 UTC
Sorry for this defect.
I'm rebuilding petsc including .mod files.

Comment 2 Fedora Update System 2017-11-23 15:20:52 UTC
MUMPS-5.1.2-2.fc26 coin-or-Ipopt-3.12.8-5.fc26 petsc-3.8.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-afb986beb4

Comment 3 Fedora Update System 2017-11-23 15:21:02 UTC
MUMPS-5.1.2-2.fc27 coin-or-Ipopt-3.12.8-5.fc27 petsc-3.8.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-52a9ed461b

Comment 4 Fedora Update System 2017-11-25 00:36:40 UTC
MUMPS-5.1.2-2.fc27, coin-or-Ipopt-3.12.8-5.fc27, mld2p4-2.1.0-5.fc27, petsc-3.8.1-1.fc27, petsc4py-3.8.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-52a9ed461b

Comment 5 Fedora Update System 2017-11-25 01:35:20 UTC
MUMPS-5.1.2-2.fc26, coin-or-Ipopt-3.12.8-5.fc26, mld2p4-2.1.0-5.fc26, petsc-3.8.1-1.fc26, petsc4py-3.8.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-afb986beb4

Comment 6 Fedora Update System 2017-12-02 21:22:50 UTC
MUMPS-5.1.2-2.fc26, coin-or-Ipopt-3.12.8-5.fc26, mld2p4-2.1.0-5.fc26, petsc-3.8.1-1.fc26, petsc4py-3.8.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-12-02 23:51:43 UTC
MUMPS-5.1.2-2.fc27, coin-or-Ipopt-3.12.8-5.fc27, mld2p4-2.1.0-5.fc27, petsc-3.8.1-1.fc27, petsc4py-3.8.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.